import * as React from 'react';
export declare type IsPaneResizable = {
    x?: boolean;
    y?: boolean;
    xy?: boolean;
};
export declare type PaneProps = {
    defaultSize?: {
        width?: string | number;
        height?: string | number;
    };
    size?: {
        width?: string | number;
        height?: string | number;
    };
    minWidth?: number;
    maxWidth?: number;
    minHeight?: number;
    maxHeight?: number;
    style?: React.CSSProperties;
    className?: string;
    children?: string | React.ReactNode;
    isResizable?: IsPaneResizable;
    grid?: [number, number];
    onSizeChange?: () => void;
    [otherProps: string]: any;
};
export declare class Pane extends React.Component<PaneProps> {
    static defaultProps: {
        minWidth: number;
        minHeight: number;
        maxWidth: undefined;
        maxHeight: undefined;
        style: {};
        className: string;
        grid: number[];
        isResizable: {
            x: boolean;
            y: boolean;
            xy: boolean;
        };
    };
    componentDidUpdate(prevProps: PaneProps): void;
    readonly createAllowedProps: PaneProps;
    render(): JSX.Element;
}
